Bug 1015958 - Review Request: fst - run VST plugins under wine
Review Request: fst - run VST plugins under wine
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio festige
  Show dependency treegraph
 
Reported: 2013-10-07 02:41 EDT by Brendan Jones
Modified: 2014-01-24 02:49 EST (History)
4 users (show)

See Also:
Fixed In Version: lv2-triceratops-0.1.7-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-28 00:23:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2013-10-07 02:41:38 EDT
fst is a host to run VST audio plugins under wine. Supports 32bit GUI plugins only. 

SRPM: http://bsjones.fedorapeople.org/reviews/fst-1.8-0.1.20110131git20661444.fc20.src.rpm

SPEC: http://bsjones.fedorapeople.org/reviews/fst.spec
Comment 1 Christopher Meng 2013-10-07 04:36:47 EDT
Should use URL tag but not Url.
Comment 2 Ralf Corsepius 2013-10-07 05:00:47 EDT
(In reply to Christopher Meng from comment #1)
> Should use URL tag but not Url.
Not true - Both are equivalent. There is no technical reason to force packagers to using URL.
Comment 3 Christopher Meng 2013-10-07 05:02:36 EDT
(In reply to Ralf Corsepius from comment #2)
> (In reply to Christopher Meng from comment #1)
> > Should use URL tag but not Url.
> Not true - Both are equivalent. There is no technical reason to force
> packagers to using URL.

Then you should clean some reviewers who have told me this is wrong.
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-10-24 20:50:55 EDT
1. Please use %{commit} for the sha1.

2. Please use http://repo.or.cz/w/%{name}.git/snapshot/%{commit}.tar.gz for Source0 and remove snapshot.sh.

3. Can you extend the %description a bit: for people who know very little about audio (like your reviewer :)), a hint what is VST would be helpful. Also, this package seems to be a library (because it has a -devel counterpart), but also a tool, since it is used to "run" things.

4. Use 'make CFLAGS=...' not 'CFLAGS=... make'.

5. Use 'make %{?_smp_mflags} ...', unless parallel build is not supported, in which case add a note.

6. Are those explicit permissions necessary? I'm pretty sure that plain 'mkdir -p' for dirs and 'cp -p' for files should work.

7. Doesn't build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6096872 ;(
Comment 5 Brendan Jones 2013-10-24 22:51:32 EDT
I've made all the changes you've suggested.

The headers are required for hosts to be able to query plugin contents, albeit without the requirement of the binary in the main package. 

Build failing because I can't pull in 32 bit packages into the 64 bit buildroot. Changed to exclusively i686.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6097152

SRPM: http://bsjones.fedorapeople.org/reviews/fst-1.9-0.1.20110131git20661444.fc20.src.rpm

SPEC: http://bsjones.fedorapeople.org/reviews/fst.spec
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-10-25 00:08:01 EDT
1. Please also replace 20661444 in Release by %{commit}.

2. the comment about snapshot.sh is not needed

3. the description...

5. Use 'make %{?_smp_mflags} ...'...

6. Please add
%doc COPYING README

Rpmlint says:

fst.i686: W: incoherent-version-in-changelog 1.8-0.2.20110131git20661444 ['1.9-0.1.20110131git20661444.fc20', '1.9-0.1.20110131git20661444']

Hm, I should test if this works... Not so easy. Will try tomorrow.
Comment 7 Zbigniew Jędrzejewski-Szmek 2013-10-25 20:07:07 EDT
OK, so it seems to launch correctly. Please fix the issues noted above.
Comment 9 Zbigniew Jędrzejewski-Szmek 2013-10-26 10:00:34 EDT
License OK, license file included.
Builds OK, even if only on i686.
Packaging is OK.
Latest version is packaged.

rpmlint:
fst.i686: E: incorrect-fsf-address /usr/share/doc/fst/COPYING
fst.i686: W: no-manual-page-for-binary fst.exe
fst.src: W: file-size-mismatch 2066144.tar.gz = 36104, http://repo.or.cz/w/fst.git/snapshot/2066144.tar.gz = 0
Eh, the URL works.

fst-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/fst/jfst.c
fst-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/fst/audiomaster.c
fst-devel.i686: W: no-documentation
4 packages and 0 specfiles checked; 3 errors, 3 warnings.

Notify the upstream about outdated FSF address at your discretion.

Package is APPROVED.
Comment 10 Brendan Jones 2013-10-26 11:53:19 EDT
Thank you for the review!

New Package SCM Request
=======================
Package Name: fst
Short Description: Run VST audio plugins under Wine
Owners: bsjones
Branches: f18 f19 f20
InitialCC:
Comment 11 Zbigniew Jędrzejewski-Szmek 2013-10-26 19:20:51 EDT
-EFLAGERROR :)
Comment 12 Gwyn Ciesla 2013-10-28 08:07:23 EDT
Git done (by process-git-requests).
Comment 13 Christopher Meng 2013-11-09 23:21:47 EST
CLOASED as RAWHIDE?
Comment 14 Christopher Meng 2013-12-28 00:23:56 EST
Brendan, I closed this bug as RAWHIDE because I haven't see any builds for f20 or f19.

Thanks.
Comment 15 Fedora Update System 2013-12-28 13:00:08 EST
lv2-triceratops-0.1.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lv2-triceratops-0.1.7-1.fc19
Comment 16 Fedora Update System 2013-12-28 13:00:19 EST
lv2-triceratops-0.1.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lv2-triceratops-0.1.7-1.fc20
Comment 17 Fedora Update System 2014-01-24 02:49:35 EST
lv2-triceratops-0.1.7-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.